Bug 99912 - [IGT][CI] kms_setmode@basic test fails vblank accuracy (18.018us, 0.1%) worse than a scanline
Summary: [IGT][CI] kms_setmode@basic test fails vblank accuracy (18.018us, 0.1%) worse...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: low normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 98553 104326 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-02-22 19:03 UTC by Luis Botello
Modified: 2018-04-23 08:06 UTC (History)
4 users (show)

See Also:
i915 platform: BDW, BSW/CHT, BXT, BYT, CFL, CNL, GLK, HSW, ILK, IVB, KBL, SKL, SNB
i915 features: display/Other


Attachments
dmesg.log (32.86 KB, text/plain)
2017-02-22 19:03 UTC, Luis Botello
no flags Details
attachment-30715-0.html (1.58 KB, text/html)
2017-11-20 11:49 UTC, Luis Botello
no flags Details
CFL-Kern-Log (160.35 MB, text/plain)
2018-01-29 21:49 UTC, Ricardo Perez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Botello 2017-02-22 19:03:08 UTC
Created attachment 129839 [details]
dmesg.log

HW config
===============================
Processor Number				i7-7500U
Processor Graphics 				Intel® HD Graphics 620
Graphics Base Frequency				300.00 MHz
Graphics Max Dynamic Frequency			1.05 GHz
Graphics Video Max Memory			32 GB
Graphics Output					eDP/DP/HDMI/DVI

SW config
=================================
Kernel version : 4.10.0-rc8-e80b772
commit e80b772bf85da72c46b582e7c4f7b0d861cb4669
    drm-tip: 2017y-02m-14d-22h-44m-17s UTC integration manifest
Component         : drm
	tag       : libdrm-2.4.75-6-gec80fd3
	commit    : ec80fd3
 Component         : cairo
	tag       : 1.15.4-6-g5854dd9
	commit    : 5854dd9
Component         : intel-gpu-tools
	tag       : intel-gpu-tools-1.17-240-gca2ba47
	commit    : ca2ba47

Steps
====================================
./kms_setmode --run-subtest basic

Program output
=====================================
Testing: basic 1 connector combinations
  Test id#1 CRTC count 1
    CRTC[31] [Pipe A] Mode: 1920x1080@60Hz Connectors: DP-1[47]
Expected frametime: 16667us; measured 16666.6us +- 4.160us accuracy 0.07% [0.84 scanlines]
  Test id#2 CRTC count 1
    CRTC[38] [Pipe B] Mode: 1920x1080@60Hz Connectors: DP-1[47]
Expected frametime: 16667us; measured 16666.8us +- 4.891us accuracy 0.09% [0.99 scanlines]
  Test id#3 CRTC count 1
    CRTC[45] [Pipe C] Mode: 1920x1080@60Hz Connectors: DP-1[47]
Expected frametime: 16667us; measured 16666.7us +- 6.006us accuracy 0.11% [1.22 scanlines]
(kms_setmode:1673) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:495:
(kms_setmode:1673) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:1673) CRITICAL: vblank accuracy (18.018us, 0.1%) worse than a scanline (14.815us)
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [test_combinations+0x1057]
  #2 [main+0x1f5]
  #3 [__libc_start_main+0xf1]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest basic failed.
**** DEBUG ****
(kms_setmode:1673) INFO: Testing: basic 1 connector combinations
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_setmode:1673) INFO:   Test id#1 CRTC count 1
(kms_setmode:1673) INFO:     CRTC[31] [Pipe A] Mode: 1920x1080@60Hz Connectors: DP-1[47]
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_setmode:1673) INFO: Expected frametime: 16667us; measured 16666.6us +- 4.160us accuracy 0.07% [0.84 scanlines]
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=3, pitch=7680)
(kms_setmode:1673) INFO:   Test id#2 CRTC count 1
(kms_setmode:1673) INFO:     CRTC[38] [Pipe B] Mode: 1920x1080@60Hz Connectors: DP-1[47]
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=4, pitch=7680)
(kms_setmode:1673) INFO: Expected frametime: 16667us; measured 16666.8us +- 4.891us accuracy 0.09% [0.99 scanlines]
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=5, pitch=7680)
(kms_setmode:1673) INFO:   Test id#3 CRTC count 1
(kms_setmode:1673) INFO:     CRTC[45] [Pipe C] Mode: 1920x1080@60Hz Connectors: DP-1[47]
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:1673) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=6, pitch=7680)
(kms_setmode:1673) INFO: Expected frametime: 16667us; measured 16666.7us +- 6.006us accuracy 0.11% [1.22 scanlines]
(kms_setmode:1673) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:495:
(kms_setmode:1673) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:1673) CRITICAL: vblank accuracy (18.018us, 0.1%) worse than a scanline (14.815us)
****  END  ****
Subtest basic: FAIL (6.348s)

Please check the attached dmesg.log
Comment 1 Maarten Lankhorst 2017-03-15 13:36:31 UTC
So the accuracy is slightly worse than a scanline, does this bug happen all the time? I think if it's just a scanline we could relax the test slightly.
Comment 2 Rami 2017-03-21 13:01:55 UTC
Reproduced on SKL and BXT with last setup:

kernel:drm-tip: 2017y-03m-15d-21h-47m-56s UTC integration manifest
  commit: d7cb114e1327b50c609ee6e67122cc0293ea515f
  author: Chris Wilson <chris@chris-wilson.co.uk>
  authored_date: Wed Mar 15 21:48:18 2017 +0000
drm:libdrm-2.4.75-14-g19c4cfc from  git://git.freedesktop.org/git/mesa/drm
intel-gpu-tool: intel-gpu-tools-1.17-291-g90c883c
Comment 3 Elio 2017-04-05 21:53:45 UTC
The problem persist with latest configuration:

Kernel version:
4.11.0-rc5   commit-5bc82ec

Component         : drm
	url       : http://cgit.freedesktop.org/mesa/drm
	tag       : libdrm-2.4.76-16-g6312017
	commit    : 6312017
	author    : Emil Velikov <emil.l.velikov@gmail.com>
	age       : Mon Apr 3 18:01:49 2017 +0100 7 hours ago
	comment   : configure.ac: bring back pthread-stubs check


Component         : mesa
	url       : http://cgit.freedesktop.org/mesa/mesa
	tag       : 17.0-branchpoint-2397-g405ef7b
	commit    : 405ef7b
	author    : Jason Ekstrand <jason@jlekstrand.net>
	age       : Mon Apr 3 16:58:35 2017 -0700 30 minutes ago
	comment   : intel/vec4: Add some fall through comments



Component         : xf86-video-intel
	url       : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel
	tag       : 2.99.917-770-gcb6ba2d
	commit    : cb6ba2d
	author    : Chris Wilson <chris@chris-wilson.co.uk>
	age       : Sat Mar 25 01:21:46 2017 +0000 10 days ago

Component         : libva
	url       : http://cgit.freedesktop.org/libva
	tag       : libva-1.7.3.pre1-85-gefc164d
	commit    : efc164d
	author    : Xiang Haihao <haihao.xiang@intel.com>
	age       : Tue Mar 7 23:42:43 2017 +0800 4 weeks ago
	comment   : Bump libva to 1.8.1.pre1 for development


Component         : intel-driver
	url       : http://cgit.freedesktop.org/vaapi/intel-driver
	tag       : 1.7.3-359-g437cbe0
	commit    : 437cbe0
	author    : Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
	age       : Wed Mar 29 08:29:46 2017 +0800 6 days ago
	comment   : gen8: accept P010 as valid format



Component         : cairo
	url       : http://cgit.freedesktop.org/cairo
	tag       : 1.15.4-11-gcffa452
	commit    : cffa452
	author    : Debarshi Ray <debarshir@freedesktop.org>
	age       : Wed Mar 15 20:26:22 2017 -0700 3 weeks ago
	comment   : doc: Clarify when the device scale is inherited and when 
Component         : xserver
	url       : http://cgit.freedesktop.org/xorg/xserver
	tag       : xorg-server-1.19.0-184-ge4d0757
	commit    : e4d0757
	author    : Adam Jackson <ajax@redhat.com>
	age       : Thu Mar 30 11:32:02 2017 -0400 4 days ago
	comment   : xfree86: Remove driver entity hooks and private



Component         : macros
	url       : https://cgit.freedesktop.org/xorg/util/macros
	tag       : util-macros-1.19.1-2-g39f07f7
	commit    : 39f07f7
	author    : Emil Velikov <emil.veliko@collabora.com>
	age       : Mon Feb 20 10:16:40 2017 +1000 6 weeks ago
	comment   : Rework INSTALL_CMD to touch/echo >&2 only as needed



Component         : intel-gpu-tools
	url       : https://cgit.freedesktop.org/xorg/app/intel-gpu-tools
	tag       : intel-gpu-tools-1.18-56-g56741ce
	commit    : 56741ce
	author    : Chris Wilson <chris@chris-wilson.co.uk>
	age       : Mon Apr 3 19:19:42 2017 +0100 6 hours ago
	comment   : tests/gem_media_fill: Fixup typo



Component         : piglit
	url       : https://cgit.freedesktop.org/piglit
	tag       : piglit-v1
	commit    : 3d1cbd9
	author    : Vinson Lee <vlee@freedesktop.org>
	age       : Mon Apr 3 15:46:33 2017 -0700 2 hours ago
	comment   : glslparsertest: Add test case for FDO bug #100438.

Adding Broxton
Comment 4 Jairo Miramontes 2017-04-05 23:46:10 UTC
Also seen this error on SKL with latest config: 
============== SOFTWARE =========================
Component         : drm
	tag       : libdrm-2.4.76-16-g6312017
	commit    : 6312017 

Component         : cairo
	tag       : 1.15.4-11-gcffa452
	commit    : cffa452 

Component         : intel-gpu-tools
	tag       : intel-gpu-tools-1.18-56-g56741ce
	commit    : 56741ce 



============== KERNEL INFO =========================
commit bf30bc2a70b83a77ba63436023f3550083715c56
Author: Daniel Stone <daniels@collabora.com>
Date:   Tue Apr 4 21:01:18 2017 +0100

    drm-tip: 2017y-04m-04d-20h-00m-56s UTC integration manifest


Kernel version : 4.11.0-rc5-bf30bc2
Architecture : source amd64 all
Comment 5 maria guadalupe 2017-04-17 19:07:54 UTC
The issue is present over GLK with the following configuration :

Steps
====================================
./kms_setmode --run-subtest basic

 Software
======================================
kernel version              : 4.11.0-rc6-drm-tip-ww16-commit-6184edc+
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 41.51
bios release date           : 03/31/2017
ksc                         : 1.25

======================================
        Graphic drivers
======================================
xorg-xserver                : 1.18.4
libdrm                      : 2.4.79
cairo                       : 1.15.5
xserver                     : X.Org X Server 1.18.4
intel-gpu-tools (tag)       : intel-gpu-tools-1.18-73-gd8b83aa
intel-gpu-tools (commit)    : d8b83aa

======================================
             Hardware
======================================
platform                  : Geminilake
motherboard id             : GLKRVP1DDR4(05)
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU @ 1.10GHz
gpu card                   : Intel Corporation Device 3184 (rev 01) (prog-if 00 [VGA controller])
memory ram                 : 7.64 GB
max memory ram             : 16 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 122
hard drive                 : 223GiB (240GB)
current cd clock frequency : 316800 kHz
maximum cd clock frequency : 316800 kHz

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
Comment 6 Jari Tahvanainen 2017-05-04 08:23:45 UTC
Pass on GLK with 4.11.0-rc8-drm-tip-qa-ww17-commit-1d490e4+ (GLK-1-GLKRVP1DDR405)
Comment 7 Humberto Israel Perez Rodriguez 2017-05-30 20:08:50 UTC
Same failure with BDW and latest configuration

Component: drm
    tag: libdrm-2.4.80-18-gce9e3ba
    commit: ce9e3ba6e2cc65e1e9e6e05a5f326c4dd25ab2c4

Component: cairo
    tag: 1.15.4-22-g0fd0fd0
    commit: 0fd0fd0ae9ad8cfb177bb844091de98c0235917e

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-211-g00ce341
    commit: 00ce341b95c718611689ded8ccec45086186c5b7

Component: piglit
    tag: piglit-v1
    commit: ebbb9c5dcc6a637884d54e06eb430a8c14993413


Kernel version
=========================================
commit 75397b60fe84eb5125a78a5ee304def86b761994
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue May 30 12:56:32 2017 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue May 30 12:56:32 2017 +0100

    drm-tip: 2017y-05m-30d-11h-55m-42s UTC integration manifest
Comment 8 Humberto Israel Perez Rodriguez 2017-06-01 00:04:37 UTC
same failure with BSW and latest configuration

testlist
==========================
igt@kms_setmode@basic
igt@kms_setmode@invalid-clone-single-crtc-stealing


Component: drm
    tag: libdrm-2.4.80-18-gce9e3ba
    commit: ce9e3ba6e2cc65e1e9e6e05a5f326c4dd25ab2c4

Component: cairo
    tag: 1.15.4-22-g0fd0fd0
    commit: 0fd0fd0ae9ad8cfb177bb844091de98c0235917e

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.18-211-g00ce341
    commit: 00ce341b95c718611689ded8ccec45086186c5b7

Component: piglit
    tag: piglit-v1
    commit: ebbb9c5dcc6a637884d54e06eb430a8c14993413

kernel
===================================================
commit 4aa1d46d3b24bbe545cdf7cbd407c18f5cd5e43d
Author:     Daniel Vetter <daniel.vetter@ffwll.ch>
AuthorDate: Wed May 31 10:59:05 2017 +0200
Commit:     Daniel Vetter <daniel.vetter@ffwll.ch>
CommitDate: Wed May 31 10:59:05 2017 +0200

    drm-tip: 2017y-05m-31d-08h-58m-36s UTC integration manifest
Comment 9 Elizabeth 2017-06-27 21:23:38 UTC
Hello, 
Seems that this bug is going to need some time to get fixed. I'm changing the status to NEEDINFO. Once there is any relevant update on the case, please change to REOPEN. Thank you.
Comment 10 Armando Antonio 2017-07-06 14:42:45 UTC
The following test fail on IVB with latest configuration

====================================================
Test list
====================================================
igt@kms_setmode@basic

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-24-g3095cc8
    commit: 3095cc8eaba1aa87ad38c04ae2b1eabe30f7e16c
Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51
Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-57-g6fcc8e8
    commit: 6fcc8e8b247661c7950b998e0b95141ffbd6b833
Component: piglit
    tag: piglit-v1
    commit: c8f4fd9eeb298a2ef0855927f22634f794ef3eff
======================================
             Hardware
======================================
platform                   : Ivy Bridge
motherboard model          : Inspiron660
motherboard id             : 0XR1GT
form factor                : Desktop
manufacturer               : DellInc.
cpu family                 : Core i5
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i5-3330 CPU @ 3.00GHz
gpu card                   : Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 7.7 GB
max memory ram             : 8 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 58
cpu stepping               : 9
socket                     : Socket BGA1155
signature                  : Type 0, Family 6, Model 58, Stepping 9
hard drive                 : 74GiB (80GB)
current cd clock frequency : 400000 kHz
maximum cd clock frequency : 400000 kHz
displays connected         : VGA-1 HDMI-A-1
Comment 11 Ricardo 2017-07-11 13:49:25 UTC
is reproduced again with new configuration... reopening bug
Comment 12 maria guadalupe 2017-07-12 16:33:44 UTC
issue is still present over BDW with the following configuration 

test
=====================================
igt@kms_setmode@basic

 Software
======================================
kernel version              : 4.12.0-drm-tip-ww28-commit-f1619bb+
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
modesetting                 : enabled
modesetting compiled for    : 1.18.4 X.Org Video Driver
xorg-xserver                : 1.18.4
libdrm                      : 2.4.70
libva                       : 1.7.1-2
vaapi (intel-driver)        : 1.7.1
cairo                       : 1.14.6-1build1
intel-gpu-tools             : 1.16-1

======================================
             Hardware
======================================
platform                   : Broadwell
motherboard id             : NUC5i5MYBE
form factor                : Desktop
cpu family                 : Core i5
cpu information            : Intel(R) Core(TM) i5-5300U CPU @ 2.30GHz
gpu card                   : Intel Corporation HD Graphics 5500 (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 11.62 GB
max memory ram             : 16 GB
signature                  : Type 0, Family 6, Model 61, Stepping 4
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 540000 kHz
displays connected         : DP-1 DP-2
Comment 13 Armando Antonio 2017-07-25 16:18:55 UTC
it is working well on BDW with latest configuration.

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-112-g493151b
    commit: 493151b0768aa4ca535cef49cb7efa174a9c3a77

Component: piglit
    tag: piglit-v1
    commit: 973892687cf5c2f8e2dbe1d22998b82736643787

======================================
             Software
======================================
kernel version              : 4.13.0-rc1-drm-tip-ww30-commit-2a4f730+
/bin/bash: BDW-2-NUC5i7RYB: command not found
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 05/29/2015
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
modesetting                 : enabled
modesetting compiled for    : 1.18.4 X.Org Video Driver
xorg-xserver                : 1.18.4
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-116-g76bce77
intel-gpu-tools (commit)    : 76bce77

======================================
             Hardware
======================================
platform                   : Broadwell
motherboard id             : NUC5i7RYB
form factor                : Desktop
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-5557U CPU @ 3.10GHz
gpu card                   : Intel Corporation Iris Graphics 6100 (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 7.71 GB
max memory ram             : 16 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 61
cpu stepping               : 4
socket                     : Socket BGA1168
signature                  : Type 0, Family 6, Model 61, Stepping 4
hard drive                 : 447GiB (480GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 540000 kHz
displays connected         : HDMI-A-1 DP-1
Comment 14 Hector Velazquez 2017-07-26 20:34:46 UTC
The following test FAIL on IVB with this commit

igt@kms_setmode@basic


This is my configuration:

====================================================
Graphic Stack
====================================================
Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-112-g493151b
    commit: 493151b0768aa4ca535cef49cb7efa174a9c3a77

Component: piglit
    tag: piglit-v1
    commit: 973892687cf5c2f8e2dbe1d22998b82736643787
Comment 15 Hector Velazquez 2017-07-31 20:33:20 UTC
The following tests FAIL on BSW with this configuration

Tests List:

igt@kms_setmode@basic
igt@kms_setmode@invalid-clone-single-crtc-stealing



This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

==============================================================
Essentials
==============================================================
Processor Number			N3700
Status					Launched
Launch Date				Q1'15
Lithography				14 nm


==============================================================
Performance
==============================================================
# of Cores				4
# of Threads				4
Processor Base Frequency		1.60 GHz
Burst Frequency				2.40 GHz
Cache					2 MB L2
TDP					6 W
Scenario Design Power (SDP)		4 W

==============================================================
Memory Specifications
==============================================================
Max Memory Size 			8 GB
Memory Types				DDR3L-1600
Max # of Memory Channels		2
ECC Memory Supported  			No

==============================================================
Graphics Specifications
==============================================================
Processor Graphics 			Intel® HD Graphics
Graphics Base Frequency			400.00 MHz
Graphics Burst Frequency		700.00 MHz
Graphics Video Max Memory		8 GB
Graphics Output				eDP/DP/HDMI
Execution Units				16
DirectX* Support			Yes
OpenGL* Support				Yes
Intel® Quick Sync Video 		Yes
Intel® InTru™ 3D Technology		No
Intel® Clear Video HD Technology	Yes
Intel® Clear Video Technology		Yes
Intel® Wireless Display 		Yes
# of Displays Supported 		3


====================================================
Graphic Stack
====================================================

Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-112-g493151b
    commit: 493151b0768aa4ca535cef49cb7efa174a9c3a77

Component: piglit
    tag: piglit-v1
    commit: 973892687cf5c2f8e2dbe1d22998b82736643787
Comment 16 Marta Löfstedt 2017-08-14 12:15:42 UTC
This test frequently fail on the shards.
Note that there are two ways the test can fail:
Failure A:
(kms_setmode:1555) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:493:
(kms_setmode:1555) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:1555) CRITICAL: vblank accuracy (21.857us, 0.1%) worse than a scanline (20.677us)

Failure B:
(kms_setmode:1532) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:519:
(kms_setmode:1532) CRITICAL: Failed assertion: fabs(mean - expected) < 1.718 * stddev
(kms_setmode:1532) CRITICAL: vblank interval differs from modeline! expected 16665.6us, measured 16717us +- 2.758us, difference 51.3us (18.6 sigma)


For SNB-shards is fails on all runs with "Failure B" from CI_DRM_2907 - CI_DRM_2956

For HSW-shards: the test pass 9 times between CI_DRM_2907 - CI_DRM_2956, "Failure A" 7 times and the rest "Failure B".
  
For KBL-shards: the test pass 8 times between CI_DRM_2908 - CI_DRM_2956, the rest is "Failure B".

Also, I can reproduce this on my BDW i5NUC so far I have 100% "Failure B".
Comment 17 Marta Löfstedt 2017-08-14 12:34:24 UTC
According to Chris on IRC this test was added to exploit this issue:
<marta_> ickle, when you added the kms_setmode@basic, do you remember if the new test passed? The shard-snb fail 100% second assert, shard-kbl flip flop between pass and first assert, shard-hsw flip flop between pass or first or second assert, mu BDW NUC fail 100% second assert. Also, see bug: https://bugs.freedesktop.org/show_bug.cgi?id=99912
<ickle> no, the point was to capture that failure
<marta_> mlankhorst suggested to relax the requirements, but if this is an actual failure we need to fix it.
Comment 18 Marta Löfstedt 2017-08-14 13:02:14 UTC
<mlankhorst> marta_: ville's patch in 2015 seems to suggest vesa CVT allows a clock deviation of .5%, which may be enough to make the test pass
<mlankhorst> kernel allows some deviation for clocks as well
...
<mlankhorst> hm kernel allows 5%
Comment 20 Elizabeth 2017-08-23 22:32:16 UTC
Still present on BXT with kernel:
commit ad6ab9f96437f0cb1f4d8a7840fd9eeb894eb12e
Author:     Gustavo Padovan <gustavo.padovan@collabora.com>
AuthorDate: Fri Aug 18 15:26:42 2017 -0300
Commit:     Gustavo Padovan <gustavo.padovan@collabora.com>
CommitDate: Fri Aug 18 15:26:42 2017 -0300

    drm-tip: 2017y-08m-18d-18h-21m-46s UTC integration manifest
Comment 21 Hector Velazquez 2017-09-06 19:01:56 UTC
The following tests FAIL on SKL 

Tests List:

igt@kms_setmode@basic


This is my configuration:

======================================
        Graphic stack
======================================

Component: drm
    tag: libdrm-2.4.81-52-g05a830d
    commit: 05a830d382382905d87b55af90aa109fb76e4c16

Component: cairo
    tag: 1.15.6-30-gc29db4f
    commit: c29db4f0de52727406a8b62f4da9a382084b5a79

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-234-g490b386
    commit: 490b386ae36d393cdea514882a2437c6e964c13f

Component: piglit
    tag: piglit-v1
    commit: dab15137044c34023b1a843e72e781b03b17548b

======================================
	     Software
======================================
kernel version              : 4.13.0-drm-tip-ww36-commit-9dd459e+
hostname                    : gfx-desktop
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 09/29/2016
hardware acceleration       : only available on X
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-234-g490b386
intel-gpu-tools (commit)    : 490b386

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.26
guc fw loaded             : SUCCESS
guc version wanted        : 6.1
guc version found         : 6.1
huc fw loaded             : yes

======================================
	     kernel parameters
======================================
quiet splash drm.debug=0x1e i915.enable_guc_submission=2 i915.enable_guc_loading=2 i915.alpha_support=1

======================================
	     Hardware
======================================
platform                   : Skylake Canyon
motherboard id             : NUC6i7KYB
form factor                : Desktop
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-6770HQ CPU @ 2.60GHz
gpu card                   : Intel Corporation Iris Pro Graphics 580 (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 31.31 GB
max memory ram             : 32 GB
cpu thread                 : 8
cpu core                   : 4
cpu model                  : 94
cpu stepping               : 3
socket                     : Other
signature                  : Type 0, Family 6, Model 94, Stepping 3
hard drive                 : 223GiB (240GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : DP-1 DP-3
Comment 22 Hector Velazquez 2017-09-18 13:43:56 UTC
The following test PASS on GLK

Tests List:

igt@kms_setmode@basic


This is my configuration:

====================================================
Graphic Stack
====================================================

Component: drm
    tag: libdrm-2.4.81-54-g6dca938
    commit: 6dca9387d20204898f9e831d59b725d062513fd0

Component: cairo
    tag: 1.15.6-36-g8ff3019
    commit: 8ff3019f51bd40c23d8a0dd5e51ce3fab6442d6e

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-289-gc718ba8
    commit: c718ba805208e55d675defe9b2a66852e2ae038c

Component: piglit
    tag: piglit-v1
    commit: f7f52e558b39135add3eec594423c2b7fc30a430

======================================
	     Software
======================================
kernel version              : 4.13.0-drm-tip-ww37-commit-9adc9e9+
hostname                    : GLK-1-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 60.34
bios release date           : 08/09/2017
ksc                         : 1.41
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-289-gc718ba8
intel-gpu-tools (commit)    : c718ba8

======================================
	     Hardware
======================================
platform                   : Geminilake
motherboard model          : Geminilake
motherboard id             : GLKRVP1DDR4(05)
form factor                : Hand Held
manufacturer               : IntelCorp.
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU @ 1.10GHz
gpu card                   : Intel Corporation Device 3185 (rev 03) (prog-if 00 [VGA controller])
memory ram                 : 7.6 GB
max memory ram             : 16 GB
cpu thread                 : 2
cpu core                   : 2
cpu model                  : 122
cpu stepping               : 1
socket                     : Other
hard drive                 : 223GiB (240GB)
current cd clock frequency : 316800 kHz
maximum cd clock frequency : 316800 kHz
displays connected         : eDP-1 DP-1 HDMI-A-2

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56
huc fw loaded             : yes

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 i915.alpha_support=1 auto panic=1 nmi_watchdog=panic intel_iommu=igfx_off resume=/dev/sda3 fastboot
Comment 23 Armando Antonio 2017-09-19 22:21:47 UTC
The following test cases are failing on CFL with latest configuration

======================================= 
Test List
=======================================
igt@kms_setmode@basic


======================================
             Software
======================================
kernel version              : 4.14.0-rc1-drm-tip-ww38-commit-099f750+
hostname                    : CFL-CNP
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 95.4
bios release date           : 07/24/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-304-g93f72b2
intel-gpu-tools (commit)    : 93f72b2

======================================
             Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot

======================================
Output summary
======================================
(kms_setmode:1974) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_setmode:1974) INFO: Expected frametime: 16653us; measured 16653.0us +- 5.405us accuracy 0.10% [1.09 scanlines]
(kms_setmode:1974) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:491:
(kms_setmode:1974) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:1974) CRITICAL: vblank accuracy (16.214us, 0.1%) worse than a scanline (14.922us)
(kms_setmode:1974) igt-core-INFO: Stack trace:
(kms_setmode:1974) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_setmode:1974) igt-core-INFO:   #1 [test_one_combination+0xd1a]
(kms_setmode:1974) igt-core-INFO:   #2 [main+0x4c6]
(kms_setmode:1974) igt-core-INFO:   #3 [__libc_start_main+0xf1]
(kms_setmode:1974) igt-core-INFO:   #4 [_start+0x29]
(kms_setmode:1974) igt-core-INFO:   #5 [<unknown>+0x29]
****  END  ****
Subtest basic: FAIL (3.083s)
Comment 25 Hector Velazquez 2017-09-28 12:47:36 UTC
This test is still failing on GLK QA

Tests List:

igt@kms_setmode@basic


====================================================
Output
====================================================
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-56-g7c71188
    commit: 7c71188610b4ceba0339c2bc884320bcb749adee

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-332-g0a91a5e
    commit: 0a91a5e9624d41d23b79e2540eda111cb56d42d9

Component: piglit
    tag: piglit-v1
    commit: 95e2f51a28b6cf7ff77d84e1234121c98f10ef64
	
======================================
             Software
======================================
kernel version              : 4.14.0-rc2-drm-tip-ww39-commit-d76cbbc+
hostname                    : GLK-2-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 62.30
bios release date           : 08/22/2017
ksc                         : 1.41
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-332-g0a91a5e
intel-gpu-tools (commit)    : 0a91a5e

======================================
             Hardware
======================================
. . .

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0xe pci=pcie_bus_safe i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot
Comment 26 Hector Velazquez 2017-09-29 19:50:42 UTC
This test are failing on CFL-S-1 QA

Tests List:

igt@kms_setmode@basic

====================================================
Output
====================================================
. . .
**** DEBUG ****
(kms_setmode:2716) INFO: Testing: basic 1 connector combinations
(kms_setmode:2716) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:2716) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_setmode:2716) INFO:   Test id#1 CRTC count 1
(kms_setmode:2716) INFO:     CRTC[36] [Pipe A] Mode: 1920x1080@60Hz Connectors: eDP-1[48]
(kms_setmode:2716) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:2716) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_setmode:2716) INFO: Expected frametime: 16666us; measured 16666.4us +- 5.502us accuracy 0.10% [1.10 scanlines]
(kms_setmode:2716) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:491:
(kms_setmode:2716) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:2716) CRITICAL: vblank accuracy (16.506us, 0.1%) worse than a scanline (14.988us)
(kms_setmode:2716) igt-core-INFO: Stack trace:
(kms_setmode:2716) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_setmode:2716) igt-core-INFO:   #1 [test_one_combination+0xd1a]
(kms_setmode:2716) igt-core-INFO:   #2 [main+0x4c6]
(kms_setmode:2716) igt-core-INFO:   #3 [__libc_start_main+0xf1]
(kms_setmode:2716) igt-core-INFO:   #4 [_start+0x29]
(kms_setmode:2716) igt-core-INFO:   #5 [<unknown>+0x29]
****  END  ****
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-56-g7c71188
    commit: 7c71188610b4ceba0339c2bc884320bcb749adee

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-334-g2885b10
    commit: 2885b10f99b4beeb046e75af8b8488c229f629d3

Component: piglit
    tag: piglit-v1
    commit: e1f66fb2fb8ad781ca755831983b6662c4c440d4
	
======================================
	     Software
======================================
kernel version              : 4.14.0-rc2-drm-tip-ww39-commit-85932e1+
hostname                    : CFL-S-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 104.3
bios release date           : 09/14/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3
/dev/nvme0n1p3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-334-g2885b10
intel-gpu-tools (commit)    : 2885b10

======================================
	     Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0xe pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 27 Hector Velazquez 2017-10-03 15:39:57 UTC
This tests still failing on GLK QA

Tests List:

igt@kms_setmode@basic


====================================================
Output 
====================================================
. . .


This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-57-g1dd84e0
    commit: 1dd84e01a972b1759839a7326009be24ab3e6de2

Component: cairo
    tag: 1.15.6-42-gdccbed7
    commit: dccbed7d78d32bd3b912e8810379451dd94e6a1f

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-357-g1e99f8b
    commit: 1e99f8b8d2563d7f5c4e82932bab15abc5eacaef

Component: piglit
    tag: piglit-v1
    commit: 5aa6eea37f44f818632a3dad4c1a7478085bd56d

	
======================================
	     Software
======================================
kernel version              : 4.14.0-rc3-drm-tip-ww40-commit-2f14e31+
hostname                    : GLK-1-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 62.30
bios release date           : 08/22/2017
ksc                         : 1.41
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.83
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-357-g1e99f8b
intel-gpu-tools (commit)    : 1e99f8b

======================================
	     Hardware
======================================
. . .

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 28 Jani Saarinen 2017-10-10 14:08:51 UTC
Lowering priority as discussed on IRC
jsaa: kms folks: discussed briefly with vsyrjala/imre on https://bugs.freedesktop.org/show_bug.cgi?id=99912 this really is not that high priority? 
(1:59:54 PM) mlankhorst: it's a double modeset
(2:00:01 PM) jsaa: or is there some easy fix. Note behaves diff on ap, kbl, hsw, and snb. 
(2:00:10 PM) mlankhorst: jsaa: low prio
Comment 29 Hector Velazquez 2017-11-08 15:05:04 UTC
This test continue failing on CFL QA

igt@kms_setmode@basic

This is my configuration:

======================================
	Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-79-g61ff977
    commit: 61ff9779e37179ed5106c0e2452e16500127fb9e

Component: cairo
    tag: 1.15.6-63-g3322580
    commit: 3322580f0488ff77f53d86c2b4d3cf59e6dca4c7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-466-g1fc4de1
    commit: 1fc4de1ca390adec9be8bd7cc0c36cab07465959

Component: piglit
    tag: piglit-v1
    commit: 65b4b197da9e4121155f2dca3fca913e677e7bf2
======================================
	     Software
======================================
kernel version              : 4.14.0-rc7-drm-intel-qa-ww44-commit-2f945d9+
hostname                    : CFL-2
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 95.4
bios release date           : 07/24/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.87
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-470-gc8d1ea2
intel-gpu-tools (commit)    : c8d1ea2

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : fetch SUCCESS, load SUCCESS
guc version wanted        : wanted 9.14, found 9.14
guc version found         : wanted 9.14, found 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 30 Hector Velazquez 2017-11-17 21:48:44 UTC
This tests continue failing on GLK QA

igt@kms_setmode@basic

IGT-Version: 1.20-g88d6550 (x86_64) (Linux: 4.14.0-drm-tip-ww46-commit-1fc4fe8+ x86_64)
fastfeedback-nov-ww46-thursday-07-03-33-code-179785857

Component: drm
    tag: libdrm-2.4.81-107-g18ffe48
    commit: 18ffe485cdfa41d48b6f2d3080cb990d28c27d57

Component: cairo
    tag: 1.15.6-83-g0c8070f
    commit: 0c8070f5bc74c124e6393b433a61807a8e4bee5d

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-483-g88d6550
    commit: 88d6550795fad3974d77e4db2f563c5e2e8872e1

Component: piglit
    tag: piglit-v1
    commit: b6aee208234287380d2e55c17dc2d236931284fa
Comment 31 Luis Botello 2017-11-20 11:49:55 UTC
Created attachment 135600 [details]
attachment-30715-0.html

Hi, I am OOO, I will return back on WW47.3 (Wednesday, November 22).
Comment 32 Octavio 2017-12-13 18:27:33 UTC
This tests continue failing on BXT QA

IGT-Version: 1.20-g39ac6b8 (x86_64) (Linux: 4.15.0-rc2-drm-intel-qa-ww49-commit-bdf9b36+ x86_64)

(kms_setmode:2359) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:491:
(kms_setmode:2359) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:2359) CRITICAL: vblank accuracy (15.786us, 0.1%) worse than a scanline (14.815us)
Subtest basic failed.
**** DEBUG ****
(kms_setmode:2359) INFO: Testing: basic 1 connector combinations
(kms_setmode:2359) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:2359) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
Comment 33 Rodrigo Vivi 2018-01-09 00:32:53 UTC
*** Bug 98553 has been marked as a duplicate of this bug. ***
Comment 34 Maarten Lankhorst 2018-01-29 12:31:54 UTC
*** Bug 104326 has been marked as a duplicate of this bug. ***
Comment 35 Ricardo Perez 2018-01-29 21:45:47 UTC
For CoffeeLake S UDIMM RVP QA system, the following test is failing :

igt@kms_setmode@basic

Running:
IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.15.0-rc9-drm-intel-qa-ww4-commit-59275f1+ x86_64)

**** DEBUG ****
(kms_setmode:11956) INFO: Testing: basic 1 connector combinations
(kms_setmode:11956) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:11956) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_setmode:11956) INFO:   Test id#1 CRTC count 1
(kms_setmode:11956) INFO:     CRTC[37] [Pipe A] Mode: 1920x1080@60Hz Connectors: eDP-1[49]
(kms_setmode:11956) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:11956) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_setmode:11956) INFO: Expected frametime: 16653us; measured 16653.0us +- 5.483us accuracy 0.10% [1.10 scanlines]
(kms_setmode:11956) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:491:
(kms_setmode:11956) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:11956) CRITICAL: vblank accuracy (16.450us, 0.1%) worse than a scanline (14.922us)
(kms_setmode:11956) igt-core-INFO: Stack trace:
(kms_setmode:11956) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_setmode:11956) igt-core-INFO:   #1 [test_one_combination+0xd8c]
(kms_setmode:11956) igt-core-INFO:   #2 [main+0x525]
(kms_setmode:11956) igt-core-INFO:   #3 [__libc_start_main+0xf1]
(kms_setmode:11956) igt-core-INFO:   #4 [_start+0x2a]
(kms_setmode:11956) igt-core-INFO:   #5 [<unknown>+0x2a]
****  END  ****
Comment 36 Ricardo Perez 2018-01-29 21:49:52 UTC
Created attachment 137039 [details]
CFL-Kern-Log

CoffeeLake S UDIMM RVP Kernel Log File
Comment 37 Hector Velazquez 2018-02-28 17:07:04 UTC
This tests has pass successfully on KBL/BDW QA 
Test list:
igt@kms_setmode@basic

This tests has pass successfully on CNL/CFL/GLK/KBL/BXT/SKL/BDW/HSW/BYT/IVB/SNB QA 
Test list:
igt@kms_setmode@invalid-clone-single-crtc-stealing

This tests continue failing on BSW QA 
Tests List:
igt@kms_setmode@invalid-clone-single-crtc-stealing

output sample:
(kms_setmode:20593) CRITICAL: Test assertion failure function test_stealing, file kms_setmode.c:398:
(kms_setmode:20593) CRITICAL: Failed assertion: ret == 0
(kms_setmode:20593) CRITICAL: Last errno: 22, Invalid argument
(kms_setmode:20593) CRITICAL: error: -22 != 0
Subtest invalid-clone-single-crtc-stealing failed.

This tests continue failing on CNL/CFL/GLK/BXT/SKL/BSW/HSW/BYT/IVB/SNB QA 
Tests List:
igt@kms_setmode@basic

Output sample:
(kms_setmode:11758) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:494:
(kms_setmode:11758) CRITICAL: Failed assertion: accuracy < line_time(kmode)
(kms_setmode:11758) CRITICAL: vblank accuracy (11.559us, 0.1%) worse than a scanline (11.251us)
Subtest basic failed.

software:
IGT-Version: 1.21-g2b64cac (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww7-commit-8a1ed24+ x86_64)
Comment 42 Marta Löfstedt 2018-03-23 08:28:40 UTC
One more late arriver from drmtip_6
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_6/fi-bxt-j4205/igt@kms_setmode@basic.html
Comment 43 Jani Saarinen 2018-03-29 07:11:57 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 44 Elizabeth 2018-04-09 16:03:13 UTC
Still valid in all the platforms:

Results for igt@kms_setmode@basic
Result: fail

Out	
IGT-Version: 1.22-gda00bf8 (x86_64) (Linux: 4.16.0-rc7-drm-intel-qa-ww14-commit-29940f1+ x86_64)
Testing: basic 1 connector combinations
  Test id#1 CRTC count 1
    CRTC[39] [Pipe A] Mode: 1920x1200@60Hz Connectors: VGA-1[52]
Expected frametime: 16681us; measured 16626.4us +- 2.845us accuracy 0.05% [0.63 scanlines]
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [test_one_combination+0xdad]
  #2 [main+0x4c6]
  #3 [__libc_start_main+0xf1]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Subtest basic: FAIL (2.329s)
Err	
(kms_setmode:10495) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:520:
(kms_setmode:10495) CRITICAL: Failed assertion: fabs(mean - expected) < 1.718 * stddev
(kms_setmode:10495) CRITICAL: vblank interval differs from modeline! expected 16680.5us, measured 16626us +- 2.845us, difference 54.1us (19.0 sigma)
Subtest basic failed.
**** DEBUG ****
(kms_setmode:10495) INFO: Testing: basic 1 connector combinations
(kms_setmode:10495) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1200, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:10495) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_setmode:10495) INFO:   Test id#1 CRTC count 1
(kms_setmode:10495) INFO:     CRTC[39] [Pipe A] Mode: 1920x1200@60Hz Connectors: VGA-1[52]
(kms_setmode:10495) igt-fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1200, format=0x34325258, tiling=0x0, size=0)
(kms_setmode:10495) igt-fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_setmode:10495) INFO: Expected frametime: 16681us; measured 16626.4us +- 2.845us accuracy 0.05% [0.63 scanlines]
(kms_setmode:10495) CRITICAL: Test assertion failure function check_timings, file kms_setmode.c:520:
(kms_setmode:10495) CRITICAL: Failed assertion: fabs(mean - expected) < 1.718 * stddev
(kms_setmode:10495) CRITICAL: vblank interval differs from modeline! expected 16680.5us, measured 16626us +- 2.845us, difference 54.1us (19.0 sigma)
(kms_setmode:10495) igt-core-INFO: Stack trace:
(kms_setmode:10495) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(kms_setmode:10495) igt-core-INFO:   #1 [test_one_combination+0xdad]
(kms_setmode:10495) igt-core-INFO:   #2 [main+0x4c6]
(kms_setmode:10495) igt-core-INFO:   #3 [__libc_start_main+0xf1]
(kms_setmode:10495) igt-core-INFO:   #4 [_start+0x29]
(kms_setmode:10495) igt-core-INFO:   #5 [<unknown>+0x29]
****  END  ****
Comment 45 Jani Saarinen 2018-04-23 08:06:35 UTC
This was discussed being not that good test.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.